Bug 1413038 - Review Request: python3-simpleline - A Python3 library for creating text UI
Summary: Review Request: python3-simpleline - A Python3 library for creating text UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 13:00 UTC by Jiri Konecny
Modified: 2017-05-30 06:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 06:22:28 UTC
Type: ---
orion: fedora-review+


Attachments (Terms of Use)

Description Jiri Konecny 2017-01-13 13:00:00 UTC
Spec URL: https://jkonecny.fedorapeople.org/packages/simpleline/python3-simpleline.spec
SRPM URL: https://jkonecny.fedorapeople.org/packages/simpleline/python3-simpleline-0.1-1.fc25.src.rpm
Description:

Hello,

This is text UI framework used inside of Anaconda installer. We want to move it out as a separate package and use it in another projects.

This text UI is designed to be used with line-based machines and tools (e.g. serial console) so that every new line is appended to the bottom of the screen.

I already made scratch builds on koji:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17266370
https://koji.fedoraproject.org/koji/taskinfo?taskID=17266542
https://koji.fedoraproject.org/koji/taskinfo?taskID=17266559

Thank you for review,
Jirka

Fedora Account System Username: jkonecny

Comment 1 Jiri Konecny 2017-01-13 13:27:03 UTC
I'm attaching output from fedora-review tool:

I want to react on two issues there:
1) Sources used to build the package match the upstream source, as provided
  in the spec URL.
 - This is because I changed summary in spec file which is in repo already but it's not tagged as new version.

2) Uses parallel make %{?_smp_mflags} macro.
 - No reason for this. Makefile will only start python3 setup.py and do a bunch of shell commands.

Jirka

===========================================


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /tmp/simpleline-build
  /review-python3-simpleline/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 115 files have
     unknown license. Detailed output of licensecheck in /tmp/simpleline-
     build/review-python3-simpleline/licensecheck.txt
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/wba/LC_MESSAGES,
     /usr/share/locale/kw@kkcor, /usr/share/locale/kw_GB,
     /usr/lib/python3.6, /usr/share/locale/kw_GB/LC_MESSAGES,
     /usr/lib/python3.6/site-packages,
     /usr/share/locale/kw@kkcor/LC_MESSAGES,
     /usr/share/locale/kw@uccor/LC_MESSAGES, /usr/share/locale/kw@uccor,
     /usr/share/locale/wba
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/kw@uccor/LC_MESSAGES,
     /usr/share/locale/wba/LC_MESSAGES, /usr/share/locale/kw@uccor,
     /usr/share/locale/kw@kkcor, /usr/share/locale/kw_GB/LC_MESSAGES,
     /usr/share/locale/kw_GB, /usr/share/locale/wba, /usr/lib/python3.6
     /site-packages, /usr/lib/python3.6,
     /usr/share/locale/kw@kkcor/LC_MESSAGES
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-simpleline-0.1-1.fc26.noarch.rpm
          python3-simpleline-0.1-1.fc26.src.rpm
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/__pycache__/base.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/__pycache__/widgets.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/utils/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/__pycache__/prompt.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/__pycache__/adv_widgets.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/utils/__pycache__/i18n.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/communication/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/communication/__pycache__/communication.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/simpleline/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-simpleline.src: W: file-size-mismatch simpleline-0.1.tar.gz = 37214, https://github.com/rhinstaller/python-simpleline/archive/simpleline-0.1.tar.gz = 30191
2 packages and 0 specfiles checked; 9 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-simpleline (rpmlib, GLIBC filtered):
    python(abi)
    rpm-python3



Provides
--------
python3-simpleline:
    python3-simpleline
    python3.6dist(simpleline)
    python3dist(simpleline)



Source checksums
----------------
https://github.com/rhinstaller/python-simpleline/archive/simpleline-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 016263a4dd89590f6512a2f71f4a5b49bcd8cb9df67b80e0203c80227bce9c9a
  CHECKSUM(SHA256) upstream package : a7210469e38084c48a6e1e8b089ecd25f03c26e9a29bbdede5dda55fbb9b9d21
diff -r also reports differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python3-simpleline
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Orion Poplawski 2017-05-03 21:33:48 UTC
- I don't your comments about the source are right - they appear to come directly from github
- Drop %clean.
- Use %make_build for parallel make
- Group is not needed
- I prefer %check after %install since that is the order sections are run
- Even though this may be python3- only at the moment, I would still suggest naming the package "python-simpleline".

Comment 3 Jiri Konecny 2017-05-04 14:39:14 UTC
Spec file and srpm are updated.

Spec URL: https://jkonecny.fedorapeople.org/packages/simpleline/python-simpleline.spec
SRPM URL: https://jkonecny.fedorapeople.org/packages/simpleline/python-simpleline-0.1-2.fc27.src.rpm

I hope I've fixed all the issues.

Thank you for your review.

Comment 4 Orion Poplawski 2017-05-04 14:53:46 UTC
I would still get rid of:

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
# This tarball was created from upstream git:
#   git clone https://github.com/rhinstaller/simpleline
#   cd simpleline && make archive

as that does not appear to apply.  Otherwise looks good, approved.

Comment 5 Gwyn Ciesla 2017-05-05 12:18:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-simpleline

Comment 6 Jiri Konecny 2017-05-30 06:22:28 UTC
The package is now in Rawhide.

Thank you for your help.


Note You need to log in before you can comment on or make changes to this bug.